<?php

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\View\View;
$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$form = $app->make('helper/form');
$html1 = $app->make('helper/form/user_selector');
$html2 = $app->make('helper/form/group_selector');
$view = View::getInstance();
$view->requireAsset('javascript', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('javascript', 'mocean_api_broadcast/yandex');
$view->requireAsset('css', 'mocean_api_broadcast/animate');
$view->requireAsset('css', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('css', 'mocean_api_broadcast/main');
?>

  <form action="<?php     echo $this->action('submitBroadcast'); ?>" method="post">
    <div class="form-group">
        <?php     echo $form->label('selectRecipient', t('Select Recipient'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->select('selectRecipient', $selectRecipient, 0, array('style' => 'width: 300px;', 'onchange' => 'showBySelect()')) ?>
        </div>
    </div>
    <div class="form-group" id="specificGroupDiv" style="display: none;">
        <?php     echo $form->label('specificGroup', t('Specific User Group'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $html2->selectGroupWithTree('specificGroup') ?>
            <p class="small"><?php echo t('Note: Selecting All Groups may result in sending multiple duplicate SMS to users in more than one groups.'); ?></p>
        </div>
    </div>
    <div class="form-group" id="specificRecipientDiv" style="display: none;">
        <?php     echo $form->label('specificRecipient', t('Specific Users'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $html1->selectMultipleUsers('specificRecipient') ?>
        </div>
    </div>
    <div class="form-group" id="specificPhoneDiv" style="display: none;">
        <?php     echo $form->label('specificPhone', t('Specific Phone Numbers'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->textarea('specificPhone', $specificPhone, array('placeholder' => t('Use space as delimiter, country code is required (e.g. 60123456789 60123456666)'), 'style' => 'height: 150px;')) ?>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('message', t('Message'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->textarea('message', $message, array('style' => 'height: 150px;', 'required' => 'required')) ?>
        </div>
    </div>
    <div class="ccm-dashboard-form-actions-wrapper">
      <div class="ccm-dashboard-form-actions">
        <button type="submit" class="btn btn-primary pull-right"><?php     echo t('Send')?></button>
      </div>
    </div>
  </form>

  <script type="text/javascript">
    function showBySelect() {
        var selected = document.getElementById("selectRecipient").value;

        if (selected == "4") {
            document.getElementById("specificPhoneDiv").style.display = "block";
            document.getElementById("specificRecipientDiv").style.display = "none";
            document.getElementById("specificGroupDiv").style.display = "none";
        }
        else if (selected == "3") {
            document.getElementById("specificRecipientDiv").style.display = "block";
            document.getElementById("specificPhoneDiv").style.display = "none";
            document.getElementById("specificGroupDiv").style.display = "none";
        }
        else if (selected == "2") {
            document.getElementById("specificGroupDiv").style.display = "block";
            document.getElementById("specificPhoneDiv").style.display = "none";
            document.getElementById("specificRecipientDiv").style.display = "none";
        }
        else {
            document.getElementById("specificPhoneDiv").style.display = "none";
            document.getElementById("specificRecipientDiv").style.display = "none";
            document.getElementById("specificGroupDiv").style.display = "none";
        }
    }
  </script>
